package com.ejweb.modules.report.entity;

import com.ejweb.core.persistence.DataEntity;

/**
 * 举报附件Entity
 * @author lixy
 * @version 2017-09-07
 */
public class ReportAttachmentEntity extends DataEntity<ReportAttachmentEntity>{
    private static final long serialVersionUID = 1L;

    private String reportId;    //关联主键
    private String attachmentName;    //附件名称
    private String attachmentPath;    //附件路径
    private int attachmentSize;    //附件大小
    private String attachmentType;    //附件类型 0 举报提交 1 补充提交 2 处理成果文件

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getAttachmentName() {
        return attachmentName;
    }

    public void setAttachmentName(String attachmentName) {
        this.attachmentName = attachmentName;
    }

    public String getAttachmentPath() {
        return attachmentPath;
    }

    public void setAttachmentPath(String attachmentPath) {
        this.attachmentPath = attachmentPath;
    }

    public int getAttachmentSize() {
        return attachmentSize;
    }

    public void setAttachmentSize(int attachmentSize) {
        this.attachmentSize = attachmentSize;
    }

    public String getAttachmentType() {
        return attachmentType;
    }

    public void setAttachmentType(String attachmentType) {
        this.attachmentType = attachmentType;
    }
}
